Numerical computation - Quality Assurance

Summary

Autoremovals: 5

Migration issues: 18

CI failures: 17

Install issues: 45

No issues: 31/94

Debian Science Numerical Computation packages

This metapackage will install Debian Science packages useful for numerical computation. The packages provide an array oriented calculation and visualisation system for scientific computing and data analysis. These packages are similar to commercial systems such as Matlab and IDL.

spyder

๐Ÿ˜Ÿ Autoremoval

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Install/upgrade

Package marked for automatic removal:

  • Will be removed on: 2024-07-15
  • Dependencies leading to autoremoval: python-arrow
  • Bugs in dependencies leading to autoremoval: #1072269

Continuous integration (CI) tests are failing:

Piuparts failed:

liggghts

๐Ÿ˜Ÿ Autoremoval

๐Ÿ˜Ÿ Migration

๐Ÿ˜Ÿ Install/upgrade

Package marked for automatic removal:

  • Will be removed on: 2024-07-07
  • Bugs leading to autoremoval: #1072823

Migration from unstable to testing is blocked:

  • Verdict: Cannot migrate due to another item, which is blocked (please check which dependencies are stuck)
  • Reason: depends
  • Invalidated by another package
  • Blocked by: vtk9

Piuparts failed:

spyder-line-profiler

๐Ÿ˜Ÿ Autoremoval

๐Ÿ˜Ÿ CI

Package marked for automatic removal:

  • Will be removed on: 2024-07-15
  • Dependencies leading to autoremoval: python-arrow
  • Bugs in dependencies leading to autoremoval: #1072269

Continuous integration (CI) tests are failing:

spyder-unittest

๐Ÿ˜Ÿ Autoremoval

๐Ÿ˜Ÿ CI

Package marked for automatic removal:

  • Will be removed on: 2024-07-15
  • Dependencies leading to autoremoval: python-arrow
  • Bugs in dependencies leading to autoremoval: #1072269

Continuous integration (CI) tests are failing:

guiqwt

๐Ÿ˜Ÿ Autoremoval

๐Ÿ˜‘ Tests missing

Package marked for automatic removal:

  • Will be removed on: 2024-07-15
  • Dependencies leading to autoremoval: python-arrow
  • Bugs in dependencies leading to autoremoval: #1072269

Continuous integration (CI) tests are missing.

pysph

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Migration

๐Ÿ˜Ÿ Install/upgrade

Continuous integration (CI) tests are failing:

Migration from unstable to testing is blocked:

  • Not in testing for 99 days.
  • Verdict: Cannot migrate due to another item, which is blocked (please check which dependencies are stuck)
  • Reason: build-depends, depends
  • Invalidated by another package
  • Blocked by: beaker
  • Migrates after: compyle

Piuparts failed:

  • Version: 0~20160514.git91867dc-4~bpo8+1
  • Sections: jessie2bpo

sfepy

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Migration

๐Ÿ˜Ÿ Install/upgrade

Continuous integration (CI) tests are failing:

Migration from unstable to testing is blocked:

  • Not in testing for 241 days.
  • Verdict: Rejected/violates migration policy/introduces a regression
  • Reason: autopkgtest
  • Migrates after: python-sparse

Piuparts failed:

spyder-memory-profiler

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Migration

๐Ÿ˜Ÿ Install/upgrade

Continuous integration (CI) tests are failing:

Migration from unstable to testing is blocked:

  • Not in testing for 844 days.
  • Verdict: Rejected/violates migration policy/introduces a regression
  • Reason: autopkgtest

Piuparts failed:

spyder-reports

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Migration

๐Ÿ˜Ÿ Install/upgrade

Continuous integration (CI) tests are failing:

Migration from unstable to testing is blocked:

  • Not in testing for 1197 days.
  • Verdict: Rejected/violates migration policy/introduces a regression
  • Reason: autopkgtest

Piuparts failed:

arrayfire

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Migration

Continuous integration (CI) tests are failing:

Migration from unstable to testing is blocked:

  • Not in testing for 2248 days.
  • Verdict: Rejected/violates migration policy/introduces a regression
  • Reason: autopkgtest, depends
  • Migrates after: clblas

compyle

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Migration

Continuous integration (CI) tests are failing:

Migration from unstable to testing is blocked:

  • Not in testing for 58 days.
  • Verdict: Rejected/violates migration policy/introduces a regression
  • Reason: autopkgtest

octave

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Migration

๐Ÿ˜Ÿ Install/upgrade

Continuous integration (CI) tests are failing:

Migration from unstable to testing is blocked:

  • Verdict: Waiting for another item to be ready to migrate (no action required now - check later)
  • Reason: depends
  • Invalidated by another package
  • Blocked by: qt6-tools
  • Migrates after: qt6-5compat, qt6-base

Piuparts failed:

python-sparse

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Migration

Continuous integration (CI) tests are failing:

Migration from unstable to testing is blocked:

  • Not in testing for 241 days.
  • Verdict: Rejected/violates migration policy/introduces a regression
  • Reason: autopkgtest, block
  • Migrates after: numba

yade

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Migration

๐Ÿ˜Ÿ Install/upgrade

Continuous integration (CI) tests are failing:

Migration from unstable to testing is blocked:

  • Verdict: Cannot migrate due to another item, which is blocked (please check which dependencies are stuck)
  • Reason: depends
  • Invalidated by another package
  • Blocked by: vtk9

Piuparts failed:

ipython

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Install/upgrade

Continuous integration (CI) tests are failing:

Piuparts failed:

lazyarray

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Install/upgrade

Continuous integration (CI) tests are failing:

Piuparts failed:

lmfit-py

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Install/upgrade

Continuous integration (CI) tests are failing:

Piuparts failed:

yorick

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Install/upgrade

Continuous integration (CI) tests are failing:

Piuparts failed:

metis-edf

๐Ÿ˜Ÿ Migration

๐Ÿ˜‘ Tests missing

Migration from unstable to testing is blocked:

  • Not in testing for 63 days.
  • Verdict: Rejected/violates migration policy/introduces a regression

Continuous integration (CI) tests are missing.

python-escript

๐Ÿ˜Ÿ Migration

๐Ÿ˜‘ Tests missing

Migration from unstable to testing is blocked:

  • Not in testing for 50 days.
  • Verdict: Rejected/violates migration policy/introduces a regression

Continuous integration (CI) tests are missing.

r-base

๐Ÿ˜Ÿ Migration

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Migration from unstable to testing is blocked:

  • Verdict: Rejected/violates migration policy/introduces a regression
  • Reason: autopkgtest

Piuparts failed:

Continuous integration (CI) tests are missing.

clblas

๐Ÿ˜Ÿ Migration

Migration from unstable to testing is blocked:

  • Not in testing for 238 days.
  • Verdict: Rejected/violates migration policy/introduces a regression

lammps

๐Ÿ˜Ÿ Migration

๐Ÿ˜Ÿ Install/upgrade

Migration from unstable to testing is blocked:

  • Verdict: Cannot migrate due to another item, which is blocked (please check which dependencies are stuck)
  • Reason: depends
  • Invalidated by another package
  • Blocked by: vtk9

Piuparts failed:

pplpy

๐Ÿ˜Ÿ Migration

Migration from unstable to testing is blocked:

  • Not in testing for 154 days.
  • Verdict: Rejected/violates migration policy/introduces a regression
  • Reason: autopkgtest

python-arrayfire

๐Ÿ˜Ÿ Migration

Migration from unstable to testing is blocked:

  • Not in testing for 2248 days.
  • Verdict: Rejected/violates migration policy/introduces a regression
  • Reason: autopkgtest
  • Migrates after: arrayfire

sleef

๐Ÿ˜Ÿ CI

Continuous integration (CI) tests are failing:

adolc

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

calculix-ccx-doc

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

calculix-ccx-test

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

coinor-symphony

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

colpack

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

hpcc

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

libquantum

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

matlab-support

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

neartree

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

ppl

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

psurface

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

python-csa

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

qsopt-ex

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

sdpb

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

suitesparse

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

toulbar2

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

vitables

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

admesh

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

calculix-cgx

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

clp

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

coinor-cbc

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

deap

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

dune-grid

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

evolver

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

lammps

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

matplotlib

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

metis

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

pdl

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

pytables

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

resampy

๐Ÿ˜Ÿ Migration

Migration from unstable to testing is blocked:

  • Not in testing for 153 days.
  • Verdict: Waiting for test results, another package or too young (no action required now - check later)
  • Reason: autopkgtest
  • Migrates after: numba

scilab

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

sundials

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

coinmp

๐Ÿ˜‘ Tests missing

Continuous integration (CI) tests are missing.

magma

๐Ÿ˜‘ Tests missing

Continuous integration (CI) tests are missing.

pyzo

๐Ÿ˜‘ Tests missing

Continuous integration (CI) tests are missing.

toon

๐Ÿ˜‘ Tests missing

Continuous integration (CI) tests are missing.

toontag

๐Ÿ˜‘ Tests missing

Continuous integration (CI) tests are missing.